ValidationRequest.ValidationRequestSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair.messages

## Class ValidationRequest.ValidationRequestSerializer

- java.lang.Object
- - org.apache.cassandra.repair.messages.ValidationRequest.ValidationRequestSerializer

- All Implemented Interfaces:
    IVersionedSerializer<ValidationRequest>, RepairMessage.MessageSerializer<ValidationRequest>
  Enclosing class:
    ValidationRequest

      public static class ValidationRequest.ValidationRequestSerializer
      extends java.lang.Object
      implements RepairMessage.MessageSerializer<ValidationRequest>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationRequestSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationRequest` | `deserialize(java.io.DataInput dis, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(ValidationRequest message, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(ValidationRequest message, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationRequestSerializer

          public ValidationRequestSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(ValidationRequest message,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<ValidationRequest>`
      Parameters:
        `message` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public ValidationRequest deserialize(java.io.DataInput dis,
                                               int version)
                                        throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<ValidationRequest>`
      Parameters:
        `dis` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(ValidationRequest message,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<ValidationRequest>`
      Parameters:
        `message` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation